org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTMETHODCALLERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTMETHODCALLERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTMETHODCALLERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTMETHODCALLERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTMETHODCALLERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTMETHODCALLERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTMETHODCALLERNode` | `bindClassname(IDynamicContentBindingObject value)`
    `CLIENTMETHODCALLERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTMETHODCALLERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTMETHODCALLERNode` | `bindMessage(IDynamicContentBindingObject value)`
    `CLIENTMETHODCALLERNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `CLIENTMETHODCALLERNode` | `setActionListener(java.lang.String value)`
    `CLIENTMETHODCALLERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTMETHODCALLERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTMETHODCALLERNode` | `setClassname(java.lang.String value)`
    `CLIENTMETHODCALLERNode` | `setComment(java.lang.String value)`
    `CLIENTMETHODCALLERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTMETHODCALLERNode` | `setId(java.lang.String value)`
    `CLIENTMETHODCALLERNode` | `setMessage(java.lang.String value)`
    `CLIENTMETHODCALLERNode` | `setReference(java.lang.String value)`
    `CLIENTMETHODCALLERNode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTMETHODCALLERNode

          public CLIENTMETHODCALLERNode()

  - ### Method Detail

    - #### setId

          public CLIENTMETHODCALLERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTMETHODCALLERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTMETHODCALLERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTMETHODCALLERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTMETHODCALLERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTMETHODCALLERNode setAttributemacro(java.lang.String value)

    - #### setClassname

          public CLIENTMETHODCALLERNode setClassname(java.lang.String value)

    - #### bindClassname

          public CLIENTMETHODCALLERNode bindClassname(IDynamicContentBindingObject value)

    - #### setComment

          public CLIENTMETHODCALLERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTMETHODCALLERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTMETHODCALLERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTMETHODCALLERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setMessage

          public CLIENTMETHODCALLERNode setMessage(java.lang.String value)

    - #### bindMessage

          public CLIENTMETHODCALLERNode bindMessage(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTMETHODCALLERNode setReference(java.lang.String value)

    - #### setTrigger

          public CLIENTMETHODCALLERNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public CLIENTMETHODCALLERNode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.